 /*
 * file      : src/callbacks.h
 * project   : tm
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TM - Edition des heures de travail / Edition of working hours
 * GNU General Public License
 * 
 * This file is part of TM.
 * 
 * TM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * TM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with TM.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __callbacks_h__
#define __callbacks_h__ 1

typedef struct {

	GtkWidget	*Adr_YearActivate;
	
	GtkWidget	*Adr_spinbutton_matin_debut_h;
	GtkWidget	*Adr_spinbutton_matin_debut_mn;
	GtkWidget	*Adr_spinbutton_matin_fin_h;
	GtkWidget	*Adr_spinbutton_matin_fin_mn;
	
	GtkWidget	*Adr_spinbutton_soir_debut_h;
	GtkWidget	*Adr_spinbutton_soir_debut_mn;
	GtkWidget	*Adr_spinbutton_soir_fin_h;
	GtkWidget	*Adr_spinbutton_soir_fin_mn;
	
	GtkWidget	*Adr_entry_comment;

	GtkWidget	*Adr_spinbutton_time_by_week_h;
	GtkWidget	*Adr_spinbutton_time_by_week_mn;
	
} VAR_CALLBACKS;

extern VAR_CALLBACKS	VarCallbacks;

void	callbacks_button_open_year( gchar *p_path );

#endif

